local mouse_positions = {}
local rand = math.random

function love.load()
	math.randomseed(os.time())
end

function love.draw()
	for i = 1, #mouse_positions do
		local pos = mouse_positions[i]
		local x, y = pos[1], pos[2]
		
		love.graphics.setColor(rand(0, 255), rand(0, 255), rand(0, 255))
		love.graphics.circle("fill", x, y, 10)		
		
		love.graphics.setColor(0, 0, 0)
		love.graphics.circle("line", x, y, 10)		
	end
end

function love.mousemoved(x, y, dx, dy)
	mouse_positions[#mouse_positions + 1] = {x, y}
end